Skip to main content

Mark in-app alerts read

POST 

/notifications/read

Required role: viewer. An account or token with the viewer or admin role can call this operation.

Example request
curl --request POST \
--header "Authorization: Bearer $HOSERVA_TOKEN" \
--header "Content-Type: application/json" \
--data @body.json \
"https://$HOSERVA_HOST:8008/api/v1/notifications/read"

Marks every alert whose id is listed, or every alert when all is true (mark all as read). Omitted ids with all false is a no-op that returns the current unread count.

Request​

Responses​

The unread count after the update.